old_thread_select.c File Reference
`#include "ruby/ruby.h"`
`#include "ruby/io.h"`

Go to the source code of this file.

## Functions

static fd_set * | array2fdset (fd_set *fds, VALUE ary, int *max)
static void | fdset2array (VALUE dst, fd_set *fds, int max)
static VALUE | old_thread_select (VALUE klass, VALUE r, VALUE w, VALUE e, VALUE timeout)
void | Init_old_thread_select (void)

## Function Documentation

static fd_set* array2fdset | ( | fd_set * | fds,
|  | VALUE | ary,
|  | int * | max
| ) |  |

static

Definition at line 5 of file old_thread_select.c.

References Check_Type, FD_SET, FIX2INT, i, NIL_P, NULL, RARRAY_LEN, RARRAY_PTR, T_ARRAY, and T_FIXNUM.

Referenced by old_thread_select().

static void fdset2array | ( | VALUE | dst,
|  | fd_set * | fds,
|  | int | max
| ) |  |

static

Definition at line 28 of file old_thread_select.c.

References FD_ISSET, i, INT2NUM(), max(), rb_ary_clear(), and rb_ary_push().

Referenced by old_thread_select().

void Init_old_thread_select | ( | void |  | ) |

Definition at line 71 of file old_thread_select.c.

References old_thread_select(), rb_cIO, and rb_define_singleton_method().

static VALUE old_thread_select | ( | VALUE | klass,
|  | VALUE | r,
|  | VALUE | w,
|  | VALUE | e,
|  | VALUE | timeout
| ) |  |

static

Definition at line 41 of file old_thread_select.c.

References array2fdset(), fdset2array(), INT2NUM(), max(), NIL_P, NULL, rb_sys_fail(), rb_thread_select(), and rb_time_timeval().

Referenced by Init_old_thread_select().